aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/windows-container/travisbuild.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/windows-container/travisbuild.sh')
-rw-r--r--scripts/windows-container/travisbuild.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/scripts/windows-container/travisbuild.sh b/scripts/windows-container/travisbuild.sh
new file mode 100644
index 000000000..50f9df42b
--- /dev/null
+++ b/scripts/windows-container/travisbuild.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+# this is run to actually trigger the creation of the Windows installer
+# inside the container
+
+set -x
+set -e
+
+docker exec -t builder bash subsurface/scripts/windows-container/in-container-build.sh 2>&1 | tee build.log
+
+# fail the build if we didn't create the target binary
+grep "Built target installer" build.log
+